## ethercat 1.6.4.g703b611

=== debian/changelog ===
ethercat (1.6.4.g703b611-1+17.1) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 17 Apr 2025 14:10:04 +0000

ethercat (1.6.4.g703b611-0) UNRELEASED; urgency=medium

  * Changes for 1.6 release

 -- Florian Pose <fp@igh.de>  Wed, 07 Feb 2024 11:00:53 +0100

ethercat (1.5.2-40~gitc022ddbd) UNRELEASED; urgency=medium

  * Restructure DKMS package
  * Add TTY module support
  * DKMS rework
  * DKMS without tty support
  * Remove obsolete files from package
  * Fix systemd service file path
  * use of systemd debhelper
  * Fix rules file
  * Add missing build dependency to dh-systemd for debian 9
  * Update to 53ce5e56d511
  * Package rebuild
  * Fix dependencies
  * Update to 334c34cfd2e5, debhelper >=10 required, remove dh-systemd dependecy
  * new packaging
  * Rebased to git repository, update to b87076135ec3a8147203ef1308aaf829388ff177
  * Split dkms packages, build for RPI4
  * Architecture dependend configure
  * Fix rules
  * Fix rules
  * Revert architecture check
  * 34dcf04d (HEAD -> stable-1.5, origin/stable-1.5, origin/HEAD) Merge branch 'cherry-pick-5bd40149' into 'stable-1.5'
  * Fix build (pkg-config)
  * Fix systemd install path
  * Add cmake template and pkg config file
  * 45f2d1a9 (HEAD -> master, origin/master, origin/HEAD) Merge branch 'Fix-19' into 'master'
  * d599f798 (HEAD -> stable-1.5, origin/stable-1.5) Merge branch 'fix_aarch64_build' into 'stable-1.5'
  * Fix dh_missing
  * 9b0a63ab (HEAD -> stable-1.5, origin/stable-1.5) Merge branch 'fix_cmake' into 'stable-1.5'
  * Compat from 9 to 10, 15f19fbb (HEAD -> stable-1.5, origin/stable-1.5) Update .gitlab-ci.yml
  * Fix Changelog handling
  * Back to Compat 9, TODO change to 10
  * Compat 10, Add bach completition, 26e5b9f5 (HEAD -> stable-1.5, origin/stable-1.5) Minor: Fixed indent.
  * eb35635b (HEAD -> stable-1.5, origin/stable-1.5) Removed stages definition.
  * 4933150c (HEAD -> stable-1.5, origin/stable-1.5) Merge branch 'fix-cli-download' into 'stable-1.5'
  * 65b1efe3 (HEAD -> stable-1.5, origin/stable-1.5) Precised kernel versions.
  * 6f950921 (HEAD -> stable-1.5, origin/stable-1.5) Fixed typo.
  * 0b272073 (HEAD -> stable-1.5, origin/stable-1.5) Use git revision for documentation.
  * Add dh-sequence-dkms build dependency
  * Add git to version schema
  * Split build packages, back to old package dependencies, build only for Debian <=11
  * c022ddbc (HEAD -> stable-1.5, origin/stable-1.5) Merge branch 'stable-1.5' into 'stable-1.5'

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Thu, 04 May 2023 08:53:53 +0200

ethercat (1.5.2-2) UNRELEASED; urgency=medium

  * Update to HG 5f29e43487df

 -- Andreas Stewering-Bone <ab@igh.de>  Wed, 01 May 2019 16:31:08 +0100

ethercat (1.5.2-1) unstable; urgency=low

  * Initial release

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Thu, 04 Oct 2018 22:51:02 +0200

## ethercat 1.6.8.g2543cc5

=== documentation/Makefile ===
#-----------------------------------------------------------------------------
#
#  LaTeX Makefile
#
#-----------------------------------------------------------------------------

FILE := ethercat_doc

LATEX_OPTIONS := -file-line-error-style

COMMANDS := \
	alias \
	config \
	crc \
	cstruct \
	data \
	debug \
	domains \
	download \
	eoe \
	foe_read \
	foe_write \
	graph \
	ip \
	master \
	pdos \
	reg_read \
	reg_write \
	rescan \
	sdos \
	sii_read \
	sii_write \
	slaves \
	soe_read \
	soe_write \
	states \
	upload \
	version \
	xml

EXT_PREFIX := external/ethercat_
EXT_FILES := $(addprefix $(EXT_PREFIX),$(COMMANDS))
ETHERCAT_CMD := ../tool/ethercat
ETHERCAT_HELP := $(ETHERCAT_CMD) -h

#-----------------------------------------------------------------------------

all: pdf

$(EXT_FILES): $(ETHERCAT_CMD)
	@mkdir -pv external
	@echo Creating $@...
	$(shell $(subst $(EXT_PREFIX),$(ETHERCAT_HELP) ,$@) > $@)

ext: $(EXT_FILES)

pdf: ext
	$(MAKE) -C images
	$(MAKE) -C graphs

# compile twice to update the table of contents
	pdflatex $(LATEX_OPTIONS) $(FILE)
	pdflatex $(LATEX_OPTIONS) $(FILE)

	pdflatex $(LATEX_OPTIONS) $(FILE)_fr
	pdflatex $(LATEX_OPTIONS) $(FILE)_fr

index:
	makeindex $(FILE)
	makeindex $(FILE).nlo -s nomencl.ist -o $(FILE).nls

	makeindex $(FILE)_fr
	makeindex $(FILE)_fr.nlo -s nomencl.ist -o $(FILE)_fr.nls

clean:
	@rm -f \
		*.aux \
		*.dvi \
		*.idx \
		*.ilg \
		*.ind \
		*.lof \
		*.log \
		*.lol \
		*.lot \
		*.nlo \
		*.nls \
		*.out \
		*.pdf \
		*.toc \
		*~ \
		images/*.bak

#-----------------------------------------------------------------------------

=== documentation/graphs/Makefile ===
#-----------------------------------------------------------------------------

GRAPHS := \
	fsm_change \
	fsm_eoe \
	fsm_master \
	fsm_pdo_conf \
	fsm_pdo_entry_conf \
	fsm_pdo_entry_read \
	fsm_pdo_read \
	fsm_sii \
	fsm_slave_conf \
	fsm_slave_scan

#-----------------------------------------------------------------------------

PDF = $(addsuffix .pdf,$(GRAPHS))

#-----------------------------------------------------------------------------

all: pdf

pdf: $(PDF)

%.pdf: %.dot
	dot -Tpdf -o $@ $<

clean:
	@rm -f *.pdf

#-----------------------------------------------------------------------------

=== documentation/images/Makefile ===
#-----------------------------------------------------------------------------

FIGS := \
	app-config.fig \
	attach.fig \
	dc.fig \
	fmmus.fig \
	fsm-coedown.fig \
	fsm-eoe.fig \
	interrupt.fig \
	master-locks.fig \
	masters.fig \
	phases.fig \
	statetrans.fig

FIGPDFS = $(FIGS:.fig=.pdf)

SVGS := \
	architecture.svg

SVGPDFS = $(SVGS:.svg=.pdf)

all: $(FIGPDFS) $(SVGPDFS)

%.pdf: %.fig
	fig2dev -L pdf -z A4 -p xxx -c $< $@	

%.pdf: %.svg
	inkscape --export-pdf=$@ $<

clean:
	@rm -rv $(FIGPDFS) $(SVGPDFS)

#-----------------------------------------------------------------------------

=== examples/user/CMakeLists.txt ===
project(EtherCatUserExample C)
cmake_minimum_required(VERSION 3.2)

find_package(EtherCAT REQUIRED)

add_executable(userexample
    main.c
)

target_link_libraries(userexample PUBLIC EtherLab::ethercat)

=== debian/changelog ===
ethercat (1.6.8.g2543cc5-1+27.2) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 16 Oct 2025 17:15:14 +0000

ethercat (1.6.8.g2543cc5-0) UNRELEASED; urgency=medium

  * Changes for 1.6 release

 -- Florian Pose <fp@igh.de>  Wed, 07 Feb 2024 11:00:53 +0100

=== debian/control ===
Source: ethercat
Priority: optional
Maintainer: Andreas Stewering-Bone <ab@igh.de>
Build-Depends: debhelper (>= 12.10), libtool, autoconf, autoconf-archive, automake, build-essential, fakeroot, kbuild, pkg-config, systemd-dev | systemd, bash, dh-dkms | dkms, udev
Standards-Version: 3.9.5
Section: libs
Testsuite: autopkgtest-pkg-dkms
Homepage: http://www.etherlab.org

Package: libethercat-dev
Section: libdevel
Architecture: any
Depends: libethercat (= ${binary:Version}), ${misc:Depends}
Description: IgH EtherCAT Master
 This is an open-source EtherCAT master implementation for Linux.
 For more information, see https://etherlab.org/ethercat
 .
 Header files of the basic realtime application interface library

Package: libethercat
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
Description: IgH EtherCAT Master
 This is an open-source EtherCAT master implementation for Linux.
 For more information, see https://etherlab.org/ethercat
 .
 Realtime application interface library

Package: libethercat-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libethercat (= ${binary:Version}), ${misc:Depends}
Description: IgH EtherCAT Master
 This is an open-source EtherCAT master implementation for Linux.
 For more information, see https://etherlab.org/ethercat
 .
 This package contains the debugging symbols for libethercat

Package: libfakeethercat-dev
Section: libdevel
Architecture: any
Depends: libfakeethercat (= ${binary:Version}), ${misc:Depends}
Description: IgH EtherCAT Master
 This is an open-source EtherCAT master implementation for Linux.
 For more information, see https://etherlab.org/ethercat
 .
 Development files for the realtime application interface fake library

Package: libfakeethercat
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
Description: IgH EtherCAT Master
 This is an open-source EtherCAT master implementation for Linux.
 For more information, see https://etherlab.org/ethercat
 .
 Realtime application interface fake library

Package: ethercat-dkms
Architecture: all
Depends: ${misc:Depends}, libtool, autoconf, autoconf-archive, automake, pkg-config
Description: IgH EtherCAT Master
 This is an open-source EtherCAT master implementation for Linux.
 For more information, see https://etherlab.org/ethercat
 .
 This package contains the ethercat master kernel module (ec_master),
 the Beckhoff FPGA CCAT NIC module (ec_ccat),
 the Generic NIC module (ec_generic) and
 the TTY interface module (ec_tty)

Package: ethercat-master
Architecture: any
Depends: ${shlibs:Depends}, ethercat-dkms, systemd, ${misc:Depends}
Description: IgH EtherCAT Master
 This is an open-source EtherCAT master implementation for Linux.
 For more information, see https://etherlab.org/ethercat
 .
 This package contains the userspace content of the EtherCAT master
